Db2System (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2System interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2System

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2System

extends LogicalElement

Represents an IBM Db2 System.

Naming Rules:
  0="host" 1="managedSystemName"
Persistable:
  true
Table Name:
  DBTSYS
Display Name:
  host

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`Db2AdminServer` | `getAdminServer()`
`ComputerSystem` | `getHost()`
`Db2Instance[]` | `getInstances()`
`Db2SystemConfigValue[]` | `getLicenseInfo()`
`Db2SystemConfigValue[]` | `getProfileRegistry()`
`boolean` | `hasAdminServer()`
`boolean` | `hasHost()`
`boolean` | `hasInstances()`
`boolean` | `hasLicenseInfo()`
`boolean` | `hasProfileRegistry()`
`void` | `setAdminServer(Db2AdminServer das)`
`void` | `setHost(ComputerSystem host)`
`void` | `setInstances(Db2Instance[] db)`
`void` | `setLicenseInfo(Db2SystemConfigValue[] lic)`
`void` | `setProfileRegistry(Db2SystemConfigValue[] values)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getProfileRegistry

    Db2SystemConfigValue[] getProfileRegistry()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setProfileRegistry

    void setProfileRegistry(Db2SystemConfigValue[] values)

### hasProfileRegistry

    boolean hasProfileRegistry()

### getInstances

    Db2Instance[] getInstances()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setInstances

    void setInstances(Db2Instance[] db)

### hasInstances

    boolean hasInstances()

### getLicenseInfo

    Db2SystemConfigValue[] getLicenseInfo()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AuthorizedBy" reverse="false"

### setLicenseInfo

    void setLicenseInfo(Db2SystemConfigValue[] lic)

### hasLicenseInfo

    boolean hasLicenseInfo()

### getAdminServer

    Db2AdminServer getAdminServer()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setAdminServer

    void setAdminServer(Db2AdminServer das)

### hasAdminServer

    boolean hasAdminServer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD